Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils.uri
Class BlockedUriException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jasig.portal.utils.uri.BlockedUriException

All Implemented Interfaces:
  java.io.Serializable

    public class BlockedUriException

extends java.lang.RuntimeException

Exceptional circumstance of a requested URI being blocked by local policy. Conveys the URI that was blocked and the reason it was blocked.

Since:
  uPortal 2.5.1
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `reasonBlocked` The reason the URI was blocked.
`private static long` | `serialVersionUID` Serialized format version number.
`private java.net.URI` | `uri` The URI that was blocked.

Constructor Summary
`BlockedUriException(java.net.URI uriArg, java.lang.String reasonBlockedArg)` Create unchained exception instance.
`BlockedUriException(java.net.URI uriArg, java.lang.String reasonBlockedArg, java.lang.Throwable cause)` Create chained exception instance.

Method Summary
`java.lang.Object` | `getBlockedUri()` Get the blocked URI.
`java.lang.Object` | `getReasonBlocked()` Get the reason the URI was blocked represented as a String.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serialized format version number. Developers must manually increment this number whenever this class is changed in such a way that its serialized form changes.

  See Also:
    Constant Field Values

### uri

    private final java.net.URI uri

  The URI that was blocked.

### reasonBlocked

    private final java.lang.String reasonBlocked

  The reason the URI was blocked.

Constructor Detail

### BlockedUriException

    public BlockedUriException(java.net.URI uriArg,
                               java.lang.String reasonBlockedArg)

  Create unchained exception instance.

  Parameters:
    `uriArg` - URI being blocked
    `reasonBlockedArg` - reason for blocking the URI

### BlockedUriException

    public BlockedUriException(java.net.URI uriArg,
                               java.lang.String reasonBlockedArg,
                               java.lang.Throwable cause)

  Create chained exception instance.

  Parameters:
    `uriArg` - URI being blocked
    `reasonBlockedArg` - reason the URI was blocked.
    `cause` - underlying cause for block.

Method Detail

### getBlockedUri

    public java.lang.Object getBlockedUri()

  Get the blocked URI.

  Returns:
    the blocked URI, which may be null.
  Since:
    uPortal 2.4.5, 2.5.2.

### getReasonBlocked

    public java.lang.Object getReasonBlocked()

  Get the reason the URI was blocked represented as a String.

  Returns:
    the reason the URI was blocked, which may be null.
  Since:
    uPortal 2.4.5, 2.5.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD